FindSourceInformation (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.model

## Interface FindSourceInformation

- All Known Implementing Classes:
    FindSourceInformationImpl

      public interface FindSourceInformation

  Specifies a search result containing source information about particular tracks.

  The information available in this object will depend on the kind of search carried out. All methods in this interface that return a non-primitive type value could return a `null` pointer to indicate that a value is not present.

  See Also:
    `SearchSource.searchSource(int, long, tv.amwa.maj.enumeration.PackageKind, tv.amwa.maj.enumeration.CriteriaType, tv.amwa.maj.enumeration.OperationChoice)`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Rational` | `getEditRate()` Returns the edit rate for the search result.
    `long` | `getLength()` Returns the length of this component.
    `Package` | `getPackage()` Returns the package search result.
    `SourceReferenceValue` | `getSourceReference()` Returns the source reference search result.

- - ### Method Detail

    - #### getPackage

          Package getPackage()

      Returns the package search result.

      Returns:
        The final media object referenced, or `null` if no valid package is referenced.

    - #### getSourceReference

          SourceReferenceValue getSourceReference()

      Returns the source reference search result.

      Returns:
        Source reference search result, or `null` if the value is not available.

    - #### getLength

          @LengthType
          long getLength()
                              throws BadPropertyException

      Returns the length of this component. The duration is specified in edit units of the result.

      This method deals with an optional property, which will only be present for time-varying media and some events.

      Returns:
        Length of the component.
      Throws:
        `BadPropertyException` - The optional length property is not present for this object.

    - #### getEditRate

          Rational getEditRate()

      Returns the edit rate for the search result.

      Returns:
        Edit rate for the search result, or `null` if this value is not available.

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.